function [ conservationMatrix varList ] = computeConservationMatrix( stoichMatrix, varList );
% Copyright (C) 2016 Beard Lab, University of Michigan.
% All rights reserved.
% 
% This software is distributed freely for academic and non-profit use. It
% should not be distributed or used for any commercial purpose without
% written permission from the University of Michigan. For details
% please see User License Agreement.

N = stoichMatrix;

Nt = N.';

[Q,R,P] = qr( Nt );

Rt = Q.'*N.'*P;

for a = 1 : size( Rt )
    if Rt(a,a) ~= 0
        Rt( a, : ) = Rt( a, : ) / Rt( a, a );
    end
end

Rt = rref( Rt );

b=0;
for a = 1 : size( Rt )
    if sum( abs( Rt( a, : )  ) ) > 1e-8
        b = b + 1;
    end
end

L0 = Rt( [ 1 : b ], [ b+1 : end ] ).';
s = size( L0 );

varList = varList * P;
conservationMatrix = [ -L0  eye( s(1) ) ];

