% Simple routine to resample data

function [y_new, t_new] = resampleData( t, y, dt );

    % remove double time points
    [junk,N]=unique(t);
    y = y(N,:);
    t = t(N);
 
    % Interpolate result at equidistant time points
    [sx,sy] = size(y);
    for b = 1 : sy
        y_new(:,b) = interp1( t, y(:,b), [t(1):dt:t(end)] );
    end
    t_new = [t(1):dt:t(end)].';
