%% plots from Jason original OXPHOS codes

figure('units','normalized','outerposition',[0 0 1 1]) % plots in state II
subplot(2,3,1)
plot(t_ic,x_ic(:,28), 'linewidth', 2.5); 
set(gca, 'fontsize', 16, 'outerposition', [0 1/2 1/3 1/2])
title('\Delta\Psi')
% xlabel('time, s')
ylabel('\Delta\Psi')
axis square tight

subplot(2,3,2)
plot(t_ic,x_ic(:,2), 'r', t_ic,x_ic(:,1), 'k', 'linewidth', 2.5); 
set(gca, 'fontsize', 16, 'outerposition', [1/3 1/2 1/3 1/2])
title('NADH_{matrix} and NAD_{matrix}')
% xlabel('time, s')
ylabel('NADH and NAD, M')
legend('NADH', 'NAD')
axis square tight

subplot(2,3,3)
plot(t_ic,x_ic(:,7), 'r', t_ic,x_ic(:,6), 'k', 'linewidth', 2.5); 
set(gca, 'fontsize', 16, 'outerposition', [2/3 1/2 1/3 1/2])
title('UQH_2 and UQ')
ylabel('UQH_2 and UQ, M')
legend('UQH_2', 'UQ')
axis square tight

subplot(2,3,4)
plot(t_ic,x_ic(:,21)*1e3, 'linewidth', 2.5);
set(gca, 'fontsize', 16, 'outerposition', [0 0 1/3 1/2])
title('K_{matrix}')
xlabel('time, s')
ylabel('K_{matrix}, M')
axis square tight

subplot(2,3,5);
plot(t_ic,-log10(x_ic(:,19)), 'linewidth', 2.5);
set(gca, 'fontsize', 16, 'outerposition', [1/3 0 1/3 1/2])
title('pH_{matrix}')
xlabel('time, s')
ylabel('pH_{matrix}')
axis square tight

subplot(2,3,6)
plot(t_ic,x_ic(:,14), 'r', t_ic,x_ic(:,13), 'k', 'linewidth', 2.5);
set(gca, 'fontsize', 16, 'outerposition', [2/3 0 1/3 1/2])
title('Cytc_{red} and cytc_{ox}')
xlabel('time, s')
ylabel('Cytc_{red} and cytc_{ox}, M')
legend('cytc_{red}', 'cytc_{ox}')
axis square tight

%% plots for figure 1 of the paper
for i=1:numel(data.label)
    dlabels{i}=data.label{i};
end
figure('units','normalized','outerposition',[0 0 1 1])
a=subplot(2,3,1);
yvar = 'dPsi';
hold on
box on
[k,i1,i2]=intersect(data.Y{find(strcmpi(dlabels,'JO2set1a.txt'))}(:,1),data.Y{find(strcmpi(dlabels,[yvar 'set1a.txt']))}(:,1));
a1=herrorbar(data.Y{find(strcmpi(dlabels,'JO2set1a.txt'))}(i1,2)*1e3,data.Y{find(strcmpi(dlabels,[yvar 'set1a.txt']))}(i2,2),data.Y{find(strcmpi(dlabels,'JO2set1a.txt'))}(i1,3)*1e3,'bo');
set(a1(1),'markersize',10,'linewidth',2,'markerfacecolor',[0 0 1],'markeredgecolor',[0 0 0])
set(a1(2),'markersize',10,'linewidth',2,'markerfacecolor',[0 0 1],'markeredgecolor',[0 0 0])
errorbar(data.Y{find(strcmpi(dlabels,'JO2set1a.txt'))}(i1,2)*1e3,data.Y{find(strcmpi(dlabels,[yvar 'set1a.txt']))}(i2,2),data.Y{find(strcmpi(dlabels,[yvar 'set1a.txt']))}(i2,3),'bo','markersize',15,'linewidth',2,'markerfacecolor',[0 0 1],'markeredgecolor',[0 0 0])
[k,i1,i2]=intersect(data.Y{find(strcmpi(dlabels,'JO2set1b.txt'))}(:,1),data.Y{find(strcmpi(dlabels,[yvar 'set1b.txt']))}(:,1));
a2=herrorbar(data.Y{find(strcmpi(dlabels,'JO2set1b.txt'))}(i1,2)*1e3,data.Y{find(strcmpi(dlabels,[yvar 'set1b.txt']))}(i2,2),data.Y{find(strcmpi(dlabels,'JO2set1b.txt'))}(i1,3)*1e3,'ro');
set(a2(1),'markersize',10,'linewidth',2,'markerfacecolor',[1 0 0],'markeredgecolor',[0 0 0])
set(a2(2),'markersize',10,'linewidth',2,'markerfacecolor',[1 0 0],'markeredgecolor',[0 0 0])
errorbar(data.Y{find(strcmpi(dlabels,'JO2set1b.txt'))}(i1,2)*1e3,data.Y{find(strcmpi(dlabels,[yvar 'set1b.txt']))}(i2,2),data.Y{find(strcmpi(dlabels,[yvar 'set1b.txt']))}(i2,3),'ro','markersize',15,'linewidth',2,'markerfacecolor',[1 0 0],'markeredgecolor',[0 0 0])
plot(JO2(1,:),dPsi(1,:),'b', JO2(2,:),dPsi(2,:),'r','linewidth',2.5)
set(gca, 'fontsize', 16, 'outerposition', [0 1/2 1/3 1/2])
title('\Delta\Psi')
axis square tight
set(gca,'xtick',[0 50 100 150],'xlim',[0 165])
% xlabel('V_O_2 (nmol O_2 / min / U CS)')
ylabel('\Delta\Psi (mV)')

subplot(2,3,2)
yvar = 'NADH';
hold on
box on
[k,i1,i2]=intersect(data.Y{find(strcmpi(dlabels,'JO2set1a.txt'))}(:,1),data.Y{find(strcmpi(dlabels,[yvar 'set1a.txt']))}(:,1));
a1=herrorbar(data.Y{find(strcmpi(dlabels,'JO2set1a.txt'))}(i1,2)*1e3,data.Y{find(strcmpi(dlabels,[yvar 'set1a.txt']))}(i2,2),data.Y{find(strcmpi(dlabels,'JO2set1a.txt'))}(i1,3)*1e3,'bo');
set(a1(1),'markersize',10,'linewidth',2,'markerfacecolor',[0 0 1],'markeredgecolor',[0 0 0])
set(a1(2),'markersize',10,'linewidth',2,'markerfacecolor',[0 0 1],'markeredgecolor',[0 0 0])
errorbar(data.Y{find(strcmpi(dlabels,'JO2set1a.txt'))}(i1,2)*1e3,data.Y{find(strcmpi(dlabels,[yvar 'set1a.txt']))}(i2,2),data.Y{find(strcmpi(dlabels,[yvar 'set1a.txt']))}(i2,3),'bo','markersize',15,'linewidth',2,'markerfacecolor',[0 0 1],'markeredgecolor',[0 0 0])
[k,i1,i2]=intersect(data.Y{find(strcmpi(dlabels,'JO2set1b.txt'))}(:,1),data.Y{find(strcmpi(dlabels,[yvar 'set1b.txt']))}(:,1));
a2=herrorbar(data.Y{find(strcmpi(dlabels,'JO2set1b.txt'))}(i1,2)*1e3,data.Y{find(strcmpi(dlabels,[yvar 'set1b.txt']))}(i2,2),data.Y{find(strcmpi(dlabels,'JO2set1b.txt'))}(i1,3)*1e3,'ro');
set(a2(1),'markersize',10,'linewidth',2,'markerfacecolor',[1 0 0],'markeredgecolor',[0 0 0])
set(a2(2),'markersize',10,'linewidth',2,'markerfacecolor',[1 0 0],'markeredgecolor',[0 0 0])
errorbar(data.Y{find(strcmpi(dlabels,'JO2set1b.txt'))}(i1,2)*1e3,data.Y{find(strcmpi(dlabels,[yvar 'set1b.txt']))}(i2,2),data.Y{find(strcmpi(dlabels,[yvar 'set1b.txt']))}(i2,3),'ro','markersize',15,'linewidth',2,'markerfacecolor',[1 0 0],'markeredgecolor',[0 0 0])
plot(JO2(1,:),NADH(1,:),'b', JO2(2,:),NADH(2,:),'r','linewidth',2.5)
set(gca, 'fontsize', 16, 'outerposition', [1/3 1/2 1/3 1/2])
title('NADH_m_a_t_r_i_x (normalized)')
% xlabel('V_O_2 (nmol O_2 / min / U CS)')
ylabel('NADH (normalized)')
set(gca,'xtick',[0 50 100 150],'xlim',[0 165])
axis square tight

subplot(2,3,3)
yvar = 'Cytc';
box on
hold on
[k,i1,i2]=intersect(data.Y{find(strcmpi(dlabels,'JO2set1a.txt'))}(:,1),data.Y{find(strcmpi(dlabels,[yvar 'set1a.txt']))}(:,1));
a1=herrorbar(data.Y{find(strcmpi(dlabels,'JO2set1a.txt'))}(i1,2)*1e3,data.Y{find(strcmpi(dlabels,[yvar 'set1a.txt']))}(i2,2),data.Y{find(strcmpi(dlabels,'JO2set1a.txt'))}(i1,3)*1e3,'bo');
set(a1(1),'markersize',10,'linewidth',2,'markerfacecolor',[0 0 1],'markeredgecolor',[0 0 0])
set(a1(2),'markersize',10,'linewidth',2,'markerfacecolor',[0 0 1],'markeredgecolor',[0 0 0])
errorbar(data.Y{find(strcmpi(dlabels,'JO2set1a.txt'))}(i1,2)*1e3,data.Y{find(strcmpi(dlabels,[yvar 'set1a.txt']))}(i2,2),data.Y{find(strcmpi(dlabels,[yvar 'set1a.txt']))}(i2,3),'bo','markersize',15,'linewidth',3,'markerfacecolor',[0 0 1],'markeredgecolor',[0 0 0])
[k,i1,i2]=intersect(data.Y{find(strcmpi(dlabels,'JO2set1b.txt'))}(:,1),data.Y{find(strcmpi(dlabels,[yvar 'set1b.txt']))}(:,1));
a2=herrorbar(data.Y{find(strcmpi(dlabels,'JO2set1b.txt'))}(i1,2)*1e3,data.Y{find(strcmpi(dlabels,[yvar 'set1b.txt']))}(i2,2),data.Y{find(strcmpi(dlabels,'JO2set1b.txt'))}(i1,3)*1e3,'ro');
set(a2(1),'markersize',10,'linewidth',2,'markerfacecolor',[1 0 0],'markeredgecolor',[0 0 0])
set(a2(2),'markersize',10,'linewidth',2,'markerfacecolor',[1 0 0],'markeredgecolor',[0 0 0])
errorbar(data.Y{find(strcmpi(dlabels,'JO2set1b.txt'))}(i1,2)*1e3,data.Y{find(strcmpi(dlabels,[yvar 'set1b.txt']))}(i2,2),data.Y{find(strcmpi(dlabels,[yvar 'set1b.txt']))}(i2,3),'ro','markersize',15,'linewidth',3,'markerfacecolor',[1 0 0],'markeredgecolor',[0 0 0])
plot(JO2(1,:),c2(1,:),'b', JO2(2,:),c2(2,:),'r','linewidth',2.5)
set(gca, 'fontsize', 16, 'outerposition', [2/3 1/2 1/3 1/2])
title('Cyt c^{2+} (normalized)')
% xlabel('V_O_2 (nmol O_2 / min / U CS)')
ylabel('Cyt c^{2+} (normalized)')
set(gca,'xtick',[0 50 100 150],'xlim',[0 165])
axis square tight

subplot(2,3,4)
yvar = 'ADP';
box on
hold on
[k,i1,i2]=intersect(data.Y{find(strcmpi(dlabels,'JO2set1a.txt'))}(:,1),data.Y{find(strcmpi(dlabels,[yvar 'set1a.txt']))}(:,1));
a1=herrorbar(data.Y{find(strcmpi(dlabels,'JO2set1a.txt'))}(i1,2)*1e3,data.Y{find(strcmpi(dlabels,[yvar 'set1a.txt']))}(i2,2),data.Y{find(strcmpi(dlabels,'JO2set1a.txt'))}(i1,3)*1e3,'bo');
set(a1(1),'markersize',10,'linewidth',2,'markerfacecolor',[0 0 1],'markeredgecolor',[0 0 0])
set(a1(2),'markersize',10,'linewidth',2,'markerfacecolor',[0 0 1],'markeredgecolor',[0 0 0])
errorbar(data.Y{find(strcmpi(dlabels,'JO2set1a.txt'))}(i1,2)*1e3,data.Y{find(strcmpi(dlabels,[yvar 'set1a.txt']))}(i2,2),data.Y{find(strcmpi(dlabels,[yvar 'set1a.txt']))}(i2,3),'bo','markersize',15,'linewidth',3,'markerfacecolor',[0 0 1],'markeredgecolor',[0 0 0])
[k,i1,i2]=intersect(data.Y{find(strcmpi(dlabels,'JO2set1b.txt'))}(:,1),data.Y{find(strcmpi(dlabels,[yvar 'set1b.txt']))}(:,1));
a2=herrorbar(data.Y{find(strcmpi(dlabels,'JO2set1b.txt'))}(i1,2)*1e3,data.Y{find(strcmpi(dlabels,[yvar 'set1b.txt']))}(i2,2),data.Y{find(strcmpi(dlabels,'JO2set1b.txt'))}(i1,3)*1e3,'ro');
set(a2(1),'markersize',10,'linewidth',2,'markerfacecolor',[1 0 0],'markeredgecolor',[0 0 0])
set(a2(2),'markersize',10,'linewidth',2,'markerfacecolor',[1 0 0],'markeredgecolor',[0 0 0])
errorbar(data.Y{find(strcmpi(dlabels,'JO2set1b.txt'))}(i1,2)*1e3,data.Y{find(strcmpi(dlabels,[yvar 'set1b.txt']))}(i2,2),data.Y{find(strcmpi(dlabels,[yvar 'set1b.txt']))}(i2,3),'ro','markersize',15,'linewidth',3,'markerfacecolor',[1 0 0],'markeredgecolor',[0 0 0])
plot(JO2(1,:),ADP(1,:),'b', JO2(2,:),ADP(2,:),'r','linewidth',2.5)
set(gca, 'fontsize', 16, 'outerposition', [0 0 1/3 1/2])
xlabel('V_O_2 (nmol O_2 / min / U CS)')
ylabel('Buffer ADP (mM)')
set(gca,'xtick',[0 50 100 150],'xlim',[0 165])
title('ADP_{cytoplasm} (normalized)')
axis square tight

subplot(2,3,5)
plot(JO2(1,:),UQH2(1,:),'b', JO2(2,:),UQH2(2,:),'r','linewidth',2.5)
set(gca, 'fontsize', 16, 'outerposition', [1/3 0 1/3 1/2])
title('UQH_2 (normalized)')
xlabel('V_O_2 (nmol O_2 / min / U CS)')
ylabel('UQH_2 (normalized)')
set(gca,'xtick',[0 50 100 150],'xlim',[0 165])
axis square tight

subplot(2,3,6)
plot(JO2(1,:),pHx(1,:),'b', JO2(2,:),pHx(2,:),'r','linewidth',2.5)
set(gca, 'fontsize', 16, 'outerposition', [2/3 0 1/3 1/2])
title('pH_{matrix}')
xlabel('V_O_2 (nmol O_2 / min / U CS)')
ylabel(' Mitochondrial pH')
set(gca,'xtick',[0 50 100 150],'xlim',[0 165],'ylim',[7.35 7.5])
axis square tight